---
title: "Serves a welcome message at the root path (`/`)."
url: "https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8/operations/root_handler"
---

> Full API specification: https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8.md

# Serves a welcome message at the root path (`/`).

`GET` `/`

Operation ID: `root_handler`

# HTTP Method: - `GET` # Responses: - `200 OK`: Returns a plain text welcome message.

## Responses

- `200` - Welcome message

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: rucho
  version: 1.6.0
servers:
  - url: https://rucho.org
    description: Production (EKS us-east-2, behind Kong)
paths:
  /:
    get:
      tags:
        - crate::routes::core_routes
      summary: Serves a welcome message at the root path (`/`).
      description: |-
        # HTTP Method:
        - `GET`

        # Responses:
        - `200 OK`: Returns a plain text welcome message.
      operationId: root_handler
      responses:
        "200":
          description: Welcome message
          content:
            text/plain:
              schema:
                type: string
```
